<?php
defined( 'ABSPATH' ) || exit;
/**
 * Google AMP preconfigure
 *
 * @package YAHMAN Add-ons
 */


function yahman_addons_amp_preconfigure($post_ID){

	$amp['judge'] = false;
	$amp['ready'] = false;
	$amp['logo'] = '';

	if( is_admin() || $post_ID === '' ){
		
		yahman_addons_amp_define($amp);
		return;
	}

	$option =  get_option('yahman_addons');


	if ( isset($option['amp']['enable']) ){
		$amp['ready'] = true ;
		if( !empty($_GET['amp']) && $_GET['amp'] === '1' ) {
			
			$amp['judge'] = true;
		}
	}

	$amp['logo'] = !empty($option['amp']['logo']) ? $option['amp']['logo'] : YAHMAN_ADDONS_URI . 'assets/images/amp-logo.png';

	$post_not_in = array();

	
	if( !empty($option['amp']['post_not_in'])){

		$post_not_in = explode(',', $option['amp']['post_not_in']);

		if( in_array ( $post_ID , $post_not_in  ) ) {
			$amp['judge'] = $amp['ready'] = false;
			$amp['logo'] = '';
		}
	}


	
	if( !empty($option['amp']['parent_not_in']) ){

		$parents_id = array_reverse ( get_post_ancestors($post_ID) );

		
		if( isset( $parents_id[0] ) && in_array ( $parents_id[0] , explode(',', $option['amp']['parent_not_in'])  ) ) {
			$amp['judge'] = $amp['ready'] = false;
			$amp['logo'] = '';
		}


	}

	yahman_addons_amp_define($amp);

}
